Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5286 - userdel dumps core (memory fault) if user's group doesn't exist
Summary: userdel dumps core (memory fault) if user's group doesn't exist
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-21 21:56 UTC by zeek
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-23 00:48:53 UTC


Attachments (Terms of Use)

Description zeek 1999-09-21 21:56:15 UTC
userdel dumps core (memory fault) if user's group doesn't
exist. Yes, this is bad usage but may confuse the heck out
of someone.

howitzer:/root>useradd foobar
howitzer:/root>groupdel foobar
groupdel: cannot remove user's primary group.
howitzer:/root>vi /etc/group  # removed group dingus
howitzer:/root>userdel foobar
Memory fault (core dumped)
---Eof---

Comment 1 Cristian Gafton 1999-09-23 00:48:59 UTC
Fixed in the current devel tree


Note You need to log in before you can comment on or make changes to this bug.